OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToTopoDS

# StepToTopoDS_MakeTransformed Class Reference

Produces instances by Transformation of a basic item
.

`#include <StepToTopoDS_MakeTransformed.hxx>`

Inheritance diagram for StepToTopoDS_MakeTransformed:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToTopoDS_MakeTransformed ()
Standard_EXPORT Standard_Boolean | Compute (const Handle(StepGeom_Axis2Placement3d)&Origin, const Handle(StepGeom_Axis2Placement3d)&Target)
| Computes a transformation to pass from an Origin placement to a Target placement. Returns True when done If not done, the transformation will by Identity .
Standard_EXPORT Standard_Boolean | Compute (const Handle(StepGeom_CartesianTransformationOperator3d)&Operator)
| Computes a transformation defined by an operator 3D .
Standard_EXPORT const gp_Trsf & | Transformation () const
| Returns the computed transformation (Identity if not yet or if failed) .
Standard_EXPORT Standard_Boolean | Transform (TopoDS_Shape &shape) const
| Applies the computed transformation to a shape Returns False if the transformation is Identity .
Standard_EXPORT TopoDS_Shape | TranslateMappedItem (const Handle(StepRepr_MappedItem)&mapit, const Handle(Transfer_TransientProcess)&TP)
| Translates a MappedItem. More precisely A MappedItem has a MappingSource and a MappingTarget MappingSource has a MappedRepresentation and a MappingOrigin MappedRepresentation is the basic item to be instanced MappingOrigin is the starting placement MappingTarget is the final placement Hence, the transformation from MappingOrigin and MappingTarget is computed, the MappedRepr. is converted to a Shape, then transformed as an instance of this Shape .
## Private Attributes
gp_Trsf | theTrsf

## Constructor & Destructor Documentation

Standard_EXPORT StepToTopoDS_MakeTransformed::StepToTopoDS_MakeTransformed | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean StepToTopoDS_MakeTransformed::Compute | ( | const Handle(StepGeom_CartesianTransformationOperator3d)& | Operator | ) |

Standard_EXPORT Standard_Boolean StepToTopoDS_MakeTransformed::Compute | ( | const Handle(StepGeom_Axis2Placement3d)& | Origin,
|  | const Handle(StepGeom_Axis2Placement3d)& | Target
| ) |

void StepToTopoDS_MakeTransformed::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_MakeTransformed::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

void* StepToTopoDS_MakeTransformed::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToTopoDS_Root.

Standard_EXPORT Standard_Boolean StepToTopoDS_MakeTransformed::Transform | ( | TopoDS_Shape & | shape | ) | const

Standard_EXPORT const gp_Trsf& StepToTopoDS_MakeTransformed::Transformation | ( |  | ) | const

Standard_EXPORT TopoDS_Shape StepToTopoDS_MakeTransformed::TranslateMappedItem | ( | const Handle(StepRepr_MappedItem)& | mapit,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) |

## Field Documentation

gp_Trsf StepToTopoDS_MakeTransformed::theTrsf`[private]`

The documentation for this class was generated from the following file:

- StepToTopoDS_MakeTransformed.hxx